Documentation Index
Fetch the complete documentation index at: https://docs.fluxomail.com/llms.txt
Use this file to discover all available pages before exploring further.
Endpoint: GET /api/v1/sends/{id}
BASE=https://api.fluxomail.com
curl -X GET "$BASE/api/v1/sends/$SEND_ID" \
-H "Authorization: Bearer $API_KEY"
Headers
| Header | Type | Required | Description |
|---|
| Authorization | string | no | Bearer <api_key> (required if your key enforces read_sends scope) |
Path parameters
| Parameter | Type | Required | Description |
|---|
| id | string | yes | The send ID |
Response
{
"send": {
"_id": "sends_...",
"toEmail": "user@example.com",
"subject": "Hello",
"status": "sent",
"idempotencyKey": "send-...",
"createdAt": 1726000000000,
"updatedAt": 1726000001000
},
"messages": [
{
"sendId": "sends_...",
"provider": "aws_ses",
"fromEmail": "no-reply@yourdomain.com",
"toEmail": "user@example.com",
"feedbackId": "send-sends_...",
"providerMessageId": "0000000000000001-12345678-abcdef0123456789-000000",
"createdAt": 1726000000500
}
],
"events": [
{ "type": "sent", "ts": 1726000000600, "providerMessageId": "..." },
{ "type": "delivered", "ts": 1726000010000, "providerMessageId": "..." },
{ "type": "opened", "ts": 1726000050000 },
{ "type": "clicked", "ts": 1726000060000 }
]
}
Response headers
X-Request-Id: unique id for this request
Scopes
- Requires
read_sends when using an API key
Status codes
200 success
401 invalid API key (when provided)
403 missing read_sends scope (when authenticated)
404 unknown send id